For the complete documentation index, see llms.txt. This page is also available as Markdown.

Context Graphs

List context graphs

get

List context graphs in a workspace with pagination. Requires ContextGraph.view permission.

Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
Query parameters
sort_bystring[]OptionalDefault: []
limitinteger · max: 200OptionalDefault: 50
continuation_tokenanyOptional
searchstring · min: 1 · max: 200 · nullableOptional
Responses
200

Successful Response

application/json
has_morebooleanRequired
continuation_tokenanyOptional
get/v1/{workspace_id}/context-graphs
GET /v1/{workspace_id}/context-graphs HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text",
      "latest_version": 0,
      "state_count": 0,
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "has_more": true,
  "continuation_token": null
}

Create a context graph

post

Create a new context graph in a workspace. Requires ContextGraph.create permission.

Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
Body
namestring · min: 1 · max: 256Required
descriptionstring · max: 2000OptionalDefault: ""
Responses
201

Successful Response

application/json
idstring · uuidRequired
workspace_idstring · uuidRequired
namestringRequired
descriptionstringRequired
latest_versionintegerOptionalDefault: 0
state_countintegerOptionalDefault: 0
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
post/v1/{workspace_id}/context-graphs
POST /v1/{workspace_id}/context-graphs HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 32

{
  "name": "text",
  "description": ""
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "latest_version": 0,
  "state_count": 0,
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Get a context graph

get

Retrieve a context graph by ID. Requires ContextGraph.view permission.

Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
context_graph_idstring · uuidRequired
Responses
200

Successful Response

application/json
idstring · uuidRequired
workspace_idstring · uuidRequired
namestringRequired
descriptionstringRequired
latest_versionintegerOptionalDefault: 0
state_countintegerOptionalDefault: 0
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
get/v1/{workspace_id}/context-graphs/{context_graph_id}
GET /v1/{workspace_id}/context-graphs/{context_graph_id} HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "latest_version": 0,
  "state_count": 0,
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Update a context graph

put

Update a context graph's name or description. Requires ContextGraph.update permission.

Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
context_graph_idstring · uuidRequired
Body
namestring · min: 1 · max: 256 · nullableOptional
descriptionstring · max: 2000 · nullableOptional
Responses
200

Successful Response

application/json
idstring · uuidRequired
workspace_idstring · uuidRequired
namestringRequired
descriptionstringRequired
latest_versionintegerOptionalDefault: 0
state_countintegerOptionalDefault: 0
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
put/v1/{workspace_id}/context-graphs/{context_graph_id}
PUT /v1/{workspace_id}/context-graphs/{context_graph_id} HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "name": "text",
  "description": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "latest_version": 0,
  "state_count": 0,
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Delete a context graph

delete

Delete a context graph. context graph versions are retained. Requires ContextGraph.delete permission.

Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
context_graph_idstring · uuidRequired
Responses
204

Successful Response

No content

delete/v1/{workspace_id}/context-graphs/{context_graph_id}
DELETE /v1/{workspace_id}/context-graphs/{context_graph_id} HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

List context graph versions

get

List versions of a context graph with pagination. Requires ContextGraph.view permission.

Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
context_graph_idstring · uuidRequired
Query parameters
limitinteger · max: 200OptionalDefault: 50
continuation_tokenanyOptional
Responses
200

Successful Response

application/json
has_morebooleanRequired
continuation_tokenanyOptional
get/v1/{workspace_id}/context-graphs/{context_graph_id}/versions
GET /v1/{workspace_id}/context-graphs/{context_graph_id}/versions HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
      "context_graph_id": "123e4567-e89b-12d3-a456-426614174000",
      "version": 1,
      "description": "text",
      "states": [
        {
          "type": "text",
          "name": "text",
          "objective": "text",
          "actions": [
            {
              "description": "text",
              "filler_hint": "text"
            }
          ],
          "intra_state_navigation_guidelines": [
            "text"
          ],
          "action_guidelines": [
            "text"
          ],
          "boundary_constraints": [
            "text"
          ],
          "exit_conditions": [
            {
              "description": "text",
              "next_state": "text",
              "filler_hint": "text"
            }
          ],
          "action_tool_call_specs": [
            {
              "tool_id": "text",
              "additional_instruction": "",
              "navigate_on_completion": false,
              "progress": {
                "deterministic": false,
                "phrases": [
                  "text"
                ],
                "trigger_delay_ms": 1,
                "interval_ms": 1,
                "mode": "auto",
                "progress_class": "lookup",
                "expected_latency_ms": 1,
                "custom_phrase": "text"
              },
              "result_persistence": "accumulate",
              "delivery": "interrupt",
              "failure_delivery": "interrupt",
              "failure_delivery_by_class": {
                "ANY_ADDITIONAL_PROPERTY": "interrupt"
              },
              "execution": "blocking",
              "lifecycle": "independent",
              "context_bindings": [
                "text"
              ],
              "context_binding_aliases": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "audio_fillers": [
                "text"
              ],
              "audio_filler_triggered_after": 1
            }
          ],
          "exit_condition_tool_call_specs": [
            {
              "tool_id": "text",
              "additional_instruction": "",
              "navigate_on_completion": false,
              "progress": {
                "deterministic": false,
                "phrases": [
                  "text"
                ],
                "trigger_delay_ms": 1,
                "interval_ms": 1,
                "mode": "auto",
                "progress_class": "lookup",
                "expected_latency_ms": 1,
                "custom_phrase": "text"
              },
              "result_persistence": "accumulate",
              "delivery": "interrupt",
              "failure_delivery": "interrupt",
              "failure_delivery_by_class": {
                "ANY_ADDITIONAL_PROPERTY": "interrupt"
              },
              "execution": "blocking",
              "lifecycle": "independent",
              "context_bindings": [
                "text"
              ],
              "context_binding_aliases": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "audio_fillers": [
                "text"
              ],
              "audio_filler_triggered_after": 1
            }
          ],
          "wait_for": "surface_submission",
          "guardrails": [
            {
              "name": "text",
              "description": "text",
              "enforcement": "hard"
            }
          ],
          "channel_overrides": {
            "ANY_ADDITIONAL_PROPERTY": {
              "objective": "text",
              "action_guidelines": [
                "text"
              ],
              "progress": {
                "deterministic": false,
                "phrases": [
                  "text"
                ],
                "trigger_delay_ms": 1,
                "interval_ms": 1,
                "mode": "auto",
                "progress_class": "lookup",
                "expected_latency_ms": 1,
                "custom_phrase": "text"
              }
            }
          },
          "surface_spec_template": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "turn_policy": {
            "barge_in_enabled": true,
            "safety_response": "stay_empathize",
            "context_strategy": "full",
            "degradation_threshold": -1,
            "block_forward_call": false,
            "block_forward_call_after_turns": -1,
            "stt_eot_threshold": 1,
            "stt_eager_eot_threshold": 1,
            "stt_eot_timeout_ms": 1
          },
          "preload": [
            {
              "tool_id": "text",
              "params": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            }
          ]
        }
      ],
      "new_user_initial_state": "text",
      "returning_user_initial_state": "text",
      "terminal_state": "text",
      "global_intra_state_navigation_guidelines": [
        "text"
      ],
      "global_action_guidelines": [
        "text"
      ],
      "global_boundary_constraints": [
        "text"
      ],
      "topology_description": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "has_more": true,
  "continuation_token": null
}

Create a context graph version

post

Create a new version of a context graph. Version number is auto-incremented. Requires ContextGraph.create permission for the first version and ContextGraph.update permission afterward.

Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
context_graph_idstring · uuidRequired
Body
descriptionstring · max: 2000OptionalDefault: ""
new_user_initial_statestringRequired
returning_user_initial_statestringRequired
terminal_statestringRequired
global_intra_state_navigation_guidelinesstring[]OptionalDefault: []
global_action_guidelinesstring[]OptionalDefault: []
global_boundary_constraintsstring[]OptionalDefault: []
topology_descriptionstring · nullableOptional
Responses
201

Successful Response

application/json
idstring · uuidRequired
workspace_idstring · uuidRequired
context_graph_idstring · uuidRequired
versionintegerRequired
descriptionstringRequired
new_user_initial_statestringRequired
returning_user_initial_statestringRequired
terminal_statestringRequired
global_intra_state_navigation_guidelinesstring[]Required
global_action_guidelinesstring[]Required
global_boundary_constraintsstring[]Required
topology_descriptionstring · nullableRequired
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
post/v1/{workspace_id}/context-graphs/{context_graph_id}/versions
POST /v1/{workspace_id}/context-graphs/{context_graph_id}/versions HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2640

{
  "description": "",
  "states": [
    {
      "type": "text",
      "name": "text",
      "objective": "text",
      "actions": [
        {
          "description": "text",
          "filler_hint": "text"
        }
      ],
      "intra_state_navigation_guidelines": [
        "text"
      ],
      "action_guidelines": [
        "text"
      ],
      "boundary_constraints": [
        "text"
      ],
      "exit_conditions": [
        {
          "description": "text",
          "next_state": "text",
          "filler_hint": "text"
        }
      ],
      "action_tool_call_specs": [
        {
          "tool_id": "text",
          "additional_instruction": "",
          "navigate_on_completion": false,
          "progress": {
            "deterministic": false,
            "phrases": [
              "text"
            ],
            "trigger_delay_ms": 1,
            "interval_ms": 1,
            "mode": "auto",
            "progress_class": "lookup",
            "expected_latency_ms": 1,
            "custom_phrase": "text"
          },
          "result_persistence": "accumulate",
          "delivery": "interrupt",
          "failure_delivery": "interrupt",
          "failure_delivery_by_class": {
            "ANY_ADDITIONAL_PROPERTY": "interrupt"
          },
          "execution": "blocking",
          "lifecycle": "independent",
          "context_bindings": [
            "text"
          ],
          "context_binding_aliases": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "audio_fillers": [
            "text"
          ],
          "audio_filler_triggered_after": 1
        }
      ],
      "exit_condition_tool_call_specs": [
        {
          "tool_id": "text",
          "additional_instruction": "",
          "navigate_on_completion": false,
          "progress": {
            "deterministic": false,
            "phrases": [
              "text"
            ],
            "trigger_delay_ms": 1,
            "interval_ms": 1,
            "mode": "auto",
            "progress_class": "lookup",
            "expected_latency_ms": 1,
            "custom_phrase": "text"
          },
          "result_persistence": "accumulate",
          "delivery": "interrupt",
          "failure_delivery": "interrupt",
          "failure_delivery_by_class": {
            "ANY_ADDITIONAL_PROPERTY": "interrupt"
          },
          "execution": "blocking",
          "lifecycle": "independent",
          "context_bindings": [
            "text"
          ],
          "context_binding_aliases": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "audio_fillers": [
            "text"
          ],
          "audio_filler_triggered_after": 1
        }
      ],
      "wait_for": "surface_submission",
      "guardrails": [
        {
          "name": "text",
          "description": "text",
          "enforcement": "hard"
        }
      ],
      "channel_overrides": {
        "ANY_ADDITIONAL_PROPERTY": {
          "objective": "text",
          "action_guidelines": [
            "text"
          ],
          "progress": {
            "deterministic": false,
            "phrases": [
              "text"
            ],
            "trigger_delay_ms": 1,
            "interval_ms": 1,
            "mode": "auto",
            "progress_class": "lookup",
            "expected_latency_ms": 1,
            "custom_phrase": "text"
          }
        }
      },
      "surface_spec_template": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "turn_policy": {
        "barge_in_enabled": true,
        "safety_response": "stay_empathize",
        "context_strategy": "full",
        "degradation_threshold": -1,
        "block_forward_call": false,
        "block_forward_call_after_turns": -1,
        "stt_eot_threshold": 1,
        "stt_eager_eot_threshold": 1,
        "stt_eot_timeout_ms": 1
      },
      "preload": [
        {
          "tool_id": "text",
          "params": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      ]
    }
  ],
  "new_user_initial_state": "text",
  "returning_user_initial_state": "text",
  "terminal_state": "text",
  "global_intra_state_navigation_guidelines": [
    "text"
  ],
  "global_action_guidelines": [
    "text"
  ],
  "global_boundary_constraints": [
    "text"
  ],
  "topology_description": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "context_graph_id": "123e4567-e89b-12d3-a456-426614174000",
  "version": 1,
  "description": "text",
  "states": [
    {
      "type": "text",
      "name": "text",
      "objective": "text",
      "actions": [
        {
          "description": "text",
          "filler_hint": "text"
        }
      ],
      "intra_state_navigation_guidelines": [
        "text"
      ],
      "action_guidelines": [
        "text"
      ],
      "boundary_constraints": [
        "text"
      ],
      "exit_conditions": [
        {
          "description": "text",
          "next_state": "text",
          "filler_hint": "text"
        }
      ],
      "action_tool_call_specs": [
        {
          "tool_id": "text",
          "additional_instruction": "",
          "navigate_on_completion": false,
          "progress": {
            "deterministic": false,
            "phrases": [
              "text"
            ],
            "trigger_delay_ms": 1,
            "interval_ms": 1,
            "mode": "auto",
            "progress_class": "lookup",
            "expected_latency_ms": 1,
            "custom_phrase": "text"
          },
          "result_persistence": "accumulate",
          "delivery": "interrupt",
          "failure_delivery": "interrupt",
          "failure_delivery_by_class": {
            "ANY_ADDITIONAL_PROPERTY": "interrupt"
          },
          "execution": "blocking",
          "lifecycle": "independent",
          "context_bindings": [
            "text"
          ],
          "context_binding_aliases": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "audio_fillers": [
            "text"
          ],
          "audio_filler_triggered_after": 1
        }
      ],
      "exit_condition_tool_call_specs": [
        {
          "tool_id": "text",
          "additional_instruction": "",
          "navigate_on_completion": false,
          "progress": {
            "deterministic": false,
            "phrases": [
              "text"
            ],
            "trigger_delay_ms": 1,
            "interval_ms": 1,
            "mode": "auto",
            "progress_class": "lookup",
            "expected_latency_ms": 1,
            "custom_phrase": "text"
          },
          "result_persistence": "accumulate",
          "delivery": "interrupt",
          "failure_delivery": "interrupt",
          "failure_delivery_by_class": {
            "ANY_ADDITIONAL_PROPERTY": "interrupt"
          },
          "execution": "blocking",
          "lifecycle": "independent",
          "context_bindings": [
            "text"
          ],
          "context_binding_aliases": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "audio_fillers": [
            "text"
          ],
          "audio_filler_triggered_after": 1
        }
      ],
      "wait_for": "surface_submission",
      "guardrails": [
        {
          "name": "text",
          "description": "text",
          "enforcement": "hard"
        }
      ],
      "channel_overrides": {
        "ANY_ADDITIONAL_PROPERTY": {
          "objective": "text",
          "action_guidelines": [
            "text"
          ],
          "progress": {
            "deterministic": false,
            "phrases": [
              "text"
            ],
            "trigger_delay_ms": 1,
            "interval_ms": 1,
            "mode": "auto",
            "progress_class": "lookup",
            "expected_latency_ms": 1,
            "custom_phrase": "text"
          }
        }
      },
      "surface_spec_template": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "turn_policy": {
        "barge_in_enabled": true,
        "safety_response": "stay_empathize",
        "context_strategy": "full",
        "degradation_threshold": -1,
        "block_forward_call": false,
        "block_forward_call_after_turns": -1,
        "stt_eot_threshold": 1,
        "stt_eager_eot_threshold": 1,
        "stt_eot_timeout_ms": 1
      },
      "preload": [
        {
          "tool_id": "text",
          "params": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      ]
    }
  ],
  "new_user_initial_state": "text",
  "returning_user_initial_state": "text",
  "terminal_state": "text",
  "global_intra_state_navigation_guidelines": [
    "text"
  ],
  "global_action_guidelines": [
    "text"
  ],
  "global_boundary_constraints": [
    "text"
  ],
  "topology_description": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Get a context graph version

get

Retrieve a specific context graph version by number, or 'latest'. Requires ContextGraph.view permission.

Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
context_graph_idstring · uuidRequired
versionany ofRequired
integer · min: 1 · max: 2147483647Optional
or
const: latestOptional
Responses
200

Successful Response

application/json
idstring · uuidRequired
workspace_idstring · uuidRequired
context_graph_idstring · uuidRequired
versionintegerRequired
descriptionstringRequired
new_user_initial_statestringRequired
returning_user_initial_statestringRequired
terminal_statestringRequired
global_intra_state_navigation_guidelinesstring[]Required
global_action_guidelinesstring[]Required
global_boundary_constraintsstring[]Required
topology_descriptionstring · nullableRequired
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
get/v1/{workspace_id}/context-graphs/{context_graph_id}/versions/{version}
GET /v1/{workspace_id}/context-graphs/{context_graph_id}/versions/{version} HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "context_graph_id": "123e4567-e89b-12d3-a456-426614174000",
  "version": 1,
  "description": "text",
  "states": [
    {
      "type": "text",
      "name": "text",
      "objective": "text",
      "actions": [
        {
          "description": "text",
          "filler_hint": "text"
        }
      ],
      "intra_state_navigation_guidelines": [
        "text"
      ],
      "action_guidelines": [
        "text"
      ],
      "boundary_constraints": [
        "text"
      ],
      "exit_conditions": [
        {
          "description": "text",
          "next_state": "text",
          "filler_hint": "text"
        }
      ],
      "action_tool_call_specs": [
        {
          "tool_id": "text",
          "additional_instruction": "",
          "navigate_on_completion": false,
          "progress": {
            "deterministic": false,
            "phrases": [
              "text"
            ],
            "trigger_delay_ms": 1,
            "interval_ms": 1,
            "mode": "auto",
            "progress_class": "lookup",
            "expected_latency_ms": 1,
            "custom_phrase": "text"
          },
          "result_persistence": "accumulate",
          "delivery": "interrupt",
          "failure_delivery": "interrupt",
          "failure_delivery_by_class": {
            "ANY_ADDITIONAL_PROPERTY": "interrupt"
          },
          "execution": "blocking",
          "lifecycle": "independent",
          "context_bindings": [
            "text"
          ],
          "context_binding_aliases": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "audio_fillers": [
            "text"
          ],
          "audio_filler_triggered_after": 1
        }
      ],
      "exit_condition_tool_call_specs": [
        {
          "tool_id": "text",
          "additional_instruction": "",
          "navigate_on_completion": false,
          "progress": {
            "deterministic": false,
            "phrases": [
              "text"
            ],
            "trigger_delay_ms": 1,
            "interval_ms": 1,
            "mode": "auto",
            "progress_class": "lookup",
            "expected_latency_ms": 1,
            "custom_phrase": "text"
          },
          "result_persistence": "accumulate",
          "delivery": "interrupt",
          "failure_delivery": "interrupt",
          "failure_delivery_by_class": {
            "ANY_ADDITIONAL_PROPERTY": "interrupt"
          },
          "execution": "blocking",
          "lifecycle": "independent",
          "context_bindings": [
            "text"
          ],
          "context_binding_aliases": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "audio_fillers": [
            "text"
          ],
          "audio_filler_triggered_after": 1
        }
      ],
      "wait_for": "surface_submission",
      "guardrails": [
        {
          "name": "text",
          "description": "text",
          "enforcement": "hard"
        }
      ],
      "channel_overrides": {
        "ANY_ADDITIONAL_PROPERTY": {
          "objective": "text",
          "action_guidelines": [
            "text"
          ],
          "progress": {
            "deterministic": false,
            "phrases": [
              "text"
            ],
            "trigger_delay_ms": 1,
            "interval_ms": 1,
            "mode": "auto",
            "progress_class": "lookup",
            "expected_latency_ms": 1,
            "custom_phrase": "text"
          }
        }
      },
      "surface_spec_template": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "turn_policy": {
        "barge_in_enabled": true,
        "safety_response": "stay_empathize",
        "context_strategy": "full",
        "degradation_threshold": -1,
        "block_forward_call": false,
        "block_forward_call_after_turns": -1,
        "stt_eot_threshold": 1,
        "stt_eager_eot_threshold": 1,
        "stt_eot_timeout_ms": 1
      },
      "preload": [
        {
          "tool_id": "text",
          "params": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      ]
    }
  ],
  "new_user_initial_state": "text",
  "returning_user_initial_state": "text",
  "terminal_state": "text",
  "global_intra_state_navigation_guidelines": [
    "text"
  ],
  "global_action_guidelines": [
    "text"
  ],
  "global_boundary_constraints": [
    "text"
  ],
  "topology_description": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?